Package org.pushingpixels.substance.internal.utils.border

# Class SubstanceTextComponentBorder

java.lang.Object
org.pushingpixels.substance.internal.utils.border.SubstanceTextComponentBorder

All Implemented Interfaces:
  `Border`, `UIResource`

public class SubstanceTextComponentBorder extends Object implements Border, UIResource
Text component border for the Substance look and feel.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected Insets`
`myInsets`
Insets of `this` border.

## Constructor Summary

Constructors
Constructor
Description
`SubstanceTextComponentBorder(Insets insets)`
Creates a new border with the specified insets.

## Method Summary

Modifier and Type
Method
Description
`Insets`
`getBorderInsets(Component c)`
`boolean`
`isBorderOpaque()`
`void`
`paintBorder(Component c, Graphics g, int x, int y, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### myInsets

protected Insets myInsets
Insets of `this` border.

## Constructor Details

### SubstanceTextComponentBorder

public SubstanceTextComponentBorder(Insets insets)
Creates a new border with the specified insets.

Parameters:
  `insets` - Insets.

## Method Details

### paintBorder

public void paintBorder(Component c, Graphics g, int x, int y, int width, int height)

Specified by:
  `paintBorder` in interface `Border`

### getBorderInsets

public Insets getBorderInsets(Component c)

Specified by:
  `getBorderInsets` in interface `Border`

### isBorderOpaque

public boolean isBorderOpaque()

Specified by:
  `isBorderOpaque` in interface `Border`